/****************************************************************************
**
** This file is part of a i2tecnologia solution.
** 
** Copyright (c) 2010 i2tecnologia and/or its subsidiary(-ies).
** 
** Contact:  i2tecnologia (felipe.andrade@i2tecnologia.com.br)
** 
*****************************************************************************/
var FLASH_OBJECT_NAME = "mlp";
var FLASH_SWF_NAME = "mlp";
var MINI_VIEW_TRESHOLD = 15 * 15;  // constant used to check if the widget is in miniview mode
var currentStyle = "landscape"; 		 // using landscape style
var flashObject;
var flashObjectActive = false;
var amazonWeather;

/** 
  Set application orientation
*/

if (widget.isrotationsupported){
   // change the screen orientation
   widget.setDisplayLandscape();
}

/**
	initApp
	@description loads the configuration file
*/
function initApp()
{
	initSysServiceObj();
	
	if(window.widget) {
		widget.setNavigationEnabled(false);
		menu.hideSoftkeys();
	}
	
	timerStarted = false;

	startTimerUpdate();
	loadWeather();
	resizeView();

	
	window.addEventListener('resize',function() {
		if (flashObjectActive != true) {
			resizeView();
		}
	});
}

/**
	isMiniViewMode
	@description Check if the current screen is in miniview mode
*/
function isMiniViewMode(){
	return (window.innerHeight < MINI_VIEW_TRESHOLD);
}

/**
	killApp
	@description kill app
*/
function killApp()
{
	updatePlantStatus();
	var WRT = window.open("", "_top");
	flashObjectActive = false;
		
	WRT.close();
}

/**
	resizeView
	@escription Resize to adequated view
*/
function resizeView(){
	//loadFlashAnimation("appFlashAnimationItem", FLASH_SWF_NAME, 640, 360);
	if(isMiniViewMode()==true){
	//if(true){
		flashObjectActive = false;
		document.getElementById("appView").style.display = 'none';
		document.getElementById("miniView").style.display = 'block';
		document.getElementById("plant").style.display = 'block';
		//amazonWeather = null;
	}else{
		flashObjectActive = true;
		document.getElementById("appView").style.display = 'block';
		document.getElementById("miniView").style.display = 'none';
		document.getElementById("plant").style.display = 'none';
		loadFlashAnimation("appFlashAnimationItem", FLASH_SWF_NAME, 640, 360);
	}
}

/**
	loadFlashAnimation function
	@description load flash content in a div
	@arguments aDiv, aFrame, aWidth, aHeight
*/
function loadFlashAnimation(aDiv, aName, aWidth, aHeight) 
{
	var content = '<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" width="' + aWidth + '" height="' + aHeight + '" id="main" align="left"><param name="allowScriptAccess" value="always" /><param name="movie" value="' + aName + '.swf" /><param name="loop" value="false" /><param name="menu" value="false" /><param name="quality" value="high" /><param name="wmode" value="opaque" /><param name="bgcolor" value="#ffffff" /><embed id="flash" src="' + aName + '.swf" loop="false" menu="false" quality="high" wmode="opaque" bgcolor="#ffffff" width="' + aWidth + '" height="' + aHeight + '" name="main" align="left" allowScriptAccess="always" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" /></object>';
	//var content;
	document.getElementById(aDiv).innerHTML = content;
	flashObject = document.getElementById("flash");
}

/*
 *	Functions used to Test.
 */
function getWeatherUpdate(locationCode, unit){
	callBackNotify("41,35");
}

function callBackNotify(strInfo){
	flashObject.sendWeatherFile(strInfo);
}

function showAlert(object){
	alert(object);
}