var UNITS = "c";
var AMAZON_CODE = "26801714";
var timerStarted;
var called = false;
//455833
//var TEMP_LOCAL = "26701714";

/*
 * Function called by ActionScript to update the weather of the game.
 */
function getUpdateWeather() {
	called = true;
	forcedWeatherUpdate();
	
}

/*
 * Funtion to do update forced. Used each cycle of time of the interval.
 */
function forcedWeatherUpdate() {
	
	amazonWeather = null;
	
	var userLocation = getUserLocation();
	getWeatherFeed(AMAZON_CODE, UNITS, sendAmazonWeather);

	if (userLocation != "0") {
		getWeatherFeed(userLocation, UNITS, sendLocalWeather);
	}
}
/*
 * Function responsible to create the timer to update
 */
function startTimerUpdate() {
	
	var configTimer = getUpdateTimeConfig();

	if (configTimer != 0 && !timerStarted) {
		configTimer = configTimer * 60000;
		var minInHour = 60;
		configTimer = configTimer * minInHour;
		
		if(!called) {
			forcedWeatherUpdate();
		}
		
		setInterval("forcedWeatherUpdate()", configTimer);
		timerStarted = true;
	}
}

/*
 * Propagates the return of the Feed to ActionScript and MiniView.
 */
function sendAmazonWeather(weather) {
	
	amazonWeather = weather;
	updateAmazonView(weather);
	
	if(flashObjectActive){
		flashObject.sendWeatherFile(weather);
	}
}

/*
 * Propagates the return of the Feed to ActionScript and MiniView.
 */
function sendLocalWeather(weather) {
	updateLocalView(weather);
}

/*
 * Save the location configured in the device. This function is called by
 * ActionScript.
 */
function setUpdateLocation(userLocation) {
	if (window.widget) {
		widget.setPreferenceForKey(userLocation, "userLocation");
	}
}

/*
 * Return the location saved in the Device.
 */
function getUserLocation() {
	if (window.widget) {
		if (!(widget.preferenceForKey("userLocation") === undefined)) {
			var userLocation = widget.preferenceForKey("userLocation");
			return userLocation;
		}
	}
	return "0";
}

/*
 * Save the timer configured in the device. This function is called by
 * ActionScript.
 */
function setUpdateTimeConfig(updateTimeConfig) {
	if (window.widget) {
		widget.setPreferenceForKey(updateTimeConfig, "timeConfig");
	}
}

/*
 * Return the location saved in the Device.
 */
function getUpdateTimeConfig() {
	if (window.widget) {
		if (!(widget.preferenceForKey("timeConfig") === undefined)) {
			var timeConfig = widget.preferenceForKey("timeConfig");
			return timeConfig;
		}
	}
	return 1;
}

/*
 * Save the permission configured in the device 1 - Yes / 0 - No. 
 * This function is called by ActionScript.
 */
function setUpdatePermission(updateConfig) {
	if (window.widget) {
		widget.setPreferenceForKey(updateConfig, "updPerm");
	}
}

/*
 * Return the location saved in the Device.
 */
function getUpdatePermission() {
	if (window.widget) {
		if (!(widget.preferenceForKey("updPerm") === undefined)) {
			var updPerm = widget.preferenceForKey("updPerm");
			return updPerm;
		}
	}
	return 1;
}

/*
 * Save the value of status. This functios is called by ActionScript.
 */
function setPlantStatus(status) {
	if (window.widget) {
		widget.setPreferenceForKey(status, "plantStatus");
	}
}

/*
 * Function called by MiniView to Returns the value of status.
 */
function getPlantStatus() {
	if (window.widget) {
		if (!(widget.preferenceForKey("plantStatus") === undefined)) {
			var plantStatus = widget.preferenceForKey("plantStatus");
			return plantStatus
		}
	}
	return 0;
}

function openOviPage() {
    
    var url = "http://bit.ly/atRQmu";
 
    var urlEncoded = encodeURI(url);
 
    widget.openURL(urlEncoded);
}